# Trait std::os::unix::ffi::OsStringExt [−] [src]

    pub trait OsStringExt {
        fn from_vec(vec: Vec<u8>) -> Self;
        fn into_vec(self) -> Vec<u8>;
    }

Unix-specific extensions to `OsString`.

## Required Methods

### `fn from_vec(vec: Vec<u8>) -> Self`

Creates an `OsString` from a byte vector.

### `fn into_vec(self) -> Vec<u8>`

Yields the underlying byte vector of this `OsString`.

## Implementors

- `impl OsStringExt for OsString`
- `impl OsStringExt for OsString`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)